import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  userId: SortOrderSchema.optional(),
  apiKey: SortOrderSchema.optional(),
  aiEnabled: SortOrderSchema.optional(),
  openAiKey: SortOrderSchema.optional(),
  openAiEnabled: SortOrderSchema.optional(),
  claudeAiKey: SortOrderSchema.optional(),
  claudeAiEnabled: SortOrderSchema.optional(),
  claudeAiModel: SortOrderSchema.optional(),
  openAiModel: SortOrderSchema.optional(),
  googleAiModel: SortOrderSchema.optional(),
  dentalMgmtKey: SortOrderSchema.optional(),
  dentalMgmtEnabled: SortOrderSchema.optional(),
  afterHoursEnabled: SortOrderSchema.optional(),
  openPhoneReply: SortOrderSchema.optional()
}).strict();
export const AiSettingsCountOrderByAggregateInputObjectSchema: z.ZodType<Prisma.AiSettingsCountOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.AiSettingsCountOrderByAggregateInput>;
export const AiSettingsCountOrderByAggregateInputObjectZodSchema = makeSchema();
